Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenAuditRule

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, GenRuleBase, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GenAuditRuleImpl

    public interface GenAuditRule

extends GenRuleBase

A representation of the model object 'Gen Audit Rule'. Auditing rule in the form of a constraint evaluated against its target

The following features are supported:

- `Root`
- `Id`
- `Rule`
- `Target`
- `Message`
- `Severity`
- `Use In Live Mode`
- `Requires Constraint Adapter`
- `Category`

See Also:
  `GMFGenPackage.getGenAuditRule()`
** Generated **
Model:

Method Summary
`GenAuditContainer` `getCategory()` Returns the value of the 'Category' reference.
`java.lang.String` `getConstraintAdapterClassName()`
`java.lang.String` `getConstraintAdapterLocalClassName()`
`java.lang.String` `getConstraintAdapterQualifiedClassName()`
`java.lang.String` `getId()` Returns the value of the 'Id' attribute
`java.lang.String` `getMessage()` Returns the value of the 'Message' attribute
`GenAuditRoot` `getRoot()` Returns the value of the 'Root' container reference.
`GenConstraint` `getRule()` Returns the value of the 'Rule' reference
`GenSeverity` `getSeverity()` Returns the value of the 'Severity' attribute.
`GenAuditable` `getTarget()` Returns the value of the 'Target' containment reference
`boolean` `isRequiresConstraintAdapter()` Returns the value of the 'Requires Constraint Adapter' attribute
`boolean` `isUseInLiveMode()` Returns the value of the 'Use In Live Mode' attribute.
`void` `setCategory(GenAuditContainer value)` Sets the value of the '`Category`' reference
`void` `setId(java.lang.String value)` Sets the value of the '`Id`' attribute
`void` `setMessage(java.lang.String value)` Sets the value of the '`Message`' attribute
`void` `setRule(GenConstraint value)` Sets the value of the '`Rule`' reference
`void` `setSeverity(GenSeverity value)` Sets the value of the '`Severity`' attribute
`void` `setTarget(GenAuditable value)` Sets the value of the '`Target`' containment reference
`void` `setUseInLiveMode(boolean value)` Sets the value of the '`Use In Live Mode`' attribute

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenRuleBase
`getDescription, getName, setDescription, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getRoot

    GenAuditRoot getRoot()

  Returns the value of the 'Root' container reference. It is bidirectional and its opposite is '`Rules`'.

  If the meaning of the 'Root' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Root' container reference.
  See Also:
    `GMFGenPackage.getGenAuditRule_Root()`, `GenAuditRoot.getRules()`
  ** Generated **
  Model:
    opposite="rules" resolveProxies="false" required="true" transient="false" changeable="false"

### getId

    java.lang.String getId()

  Returns the value of the 'Id' attribute.

  If the meaning of the 'Id' attribute isn't clear, there really should be more of a description here...

  Unique identifier of this audit rule

  Returns:
    the value of the 'Id' attribute.
  See Also:
    `setId(String)`, `GMFGenPackage.getGenAuditRule_Id()`
  ** Generated **
  Model:
    required="true" annotation="http://www.eclipse.org/gmf/2005/constraints ocl='not id.oclIsUndefined() implies root.rules->one(i | i.id = self.id)' description='Audit rule with the same ID already exists'"

### setId

    void setId(java.lang.String value)

  Sets the value of the '`Id`' attribute.

  Parameters:
    `value` - the new value of the 'Id' attribute.
  See Also:
    `getId()`
  ** Generated **

### getMessage

    java.lang.String getMessage()

  Returns the value of the 'Message' attribute. The text message to be reported in case of this audit violation

  Returns:
    the value of the 'Message' attribute.
  See Also:
    `setMessage(String)`, `GMFGenPackage.getGenAuditRule_Message()`
  ** Generated **
  Model:

### setMessage

    void setMessage(java.lang.String value)

  Sets the value of the '`Message`' attribute.

  Parameters:
    `value` - the new value of the 'Message' attribute.
  See Also:
    `getMessage()`
  ** Generated **

### getRule

    GenConstraint getRule()

  Returns the value of the 'Rule' reference.

  If the meaning of the 'Rule' reference isn't clear, there really should be more of a description here...

  A boolean type condition which if not satisfied indicates this audit rule violation. It is evaluated in the context of the target

  Returns:
    the value of the 'Rule' reference.
  See Also:
    `setRule(GenConstraint)`, `GMFGenPackage.getGenAuditRule_Rule()`
  ** Generated **
  Model:
    required="true" annotation="http://www.eclipse.org/gmf/2005/constraints/meta def='context' ocl='target.getContext()'"

### setRule

    void setRule(GenConstraint value)

  Sets the value of the '`Rule`' reference.

  Parameters:
    `value` - the new value of the 'Rule' reference.
  See Also:
    `getRule()`
  ** Generated **

### getTarget

    GenAuditable getTarget()

  Returns the value of the 'Target' containment reference. The target representing the context this audit is evaluated in

  Returns:
    the value of the 'Target' containment reference.
  See Also:
    `setTarget(GenAuditable)`, `GMFGenPackage.getGenAuditRule_Target()`
  ** Generated **
  Model:
    containment="true" required="true"

### setTarget

    void setTarget(GenAuditable value)

  Sets the value of the '`Target`' containment reference.

  Parameters:
    `value` - the new value of the 'Target' containment reference.
  See Also:
    `getTarget()`
  ** Generated **

### getSeverity

    GenSeverity getSeverity()

  Returns the value of the 'Severity' attribute. The default value is `"ERROR"`. The literals are from the enumeration `GenSeverity`.

  If the meaning of the 'Severity' attribute isn't clear, there really should be more of a description here...

  Describes the severity of this audit rule violation

  Returns:
    the value of the 'Severity' attribute.
  See Also:
    `GenSeverity`, `setSeverity(GenSeverity)`, `GMFGenPackage.getGenAuditRule_Severity()`
  ** Generated **
  Model:
    default="ERROR"

### setSeverity

    void setSeverity(GenSeverity value)

  Sets the value of the '`Severity`' attribute.

  Parameters:
    `value` - the new value of the 'Severity' attribute.
  See Also:
    `GenSeverity`, `getSeverity()`
  ** Generated **

### isUseInLiveMode

    boolean isUseInLiveMode()

  Returns the value of the 'Use In Live Mode' attribute. The default value is `"false"`.

  If the meaning of the 'Use In Live Mode' attribute isn't clear, there really should be more of a description here...

  Indicates if this audit should be evaluated also in Live mode. If 'false', only Batch mode is applicable

  Returns:
    the value of the 'Use In Live Mode' attribute.
  See Also:
    `setUseInLiveMode(boolean)`, `GMFGenPackage.getGenAuditRule_UseInLiveMode()`
  ** Generated **
  Model:
    default="false"

### setUseInLiveMode

    void setUseInLiveMode(boolean value)

  Sets the value of the '`Use In Live Mode`' attribute.

  Parameters:
    `value` - the new value of the 'Use In Live Mode' attribute.
  See Also:
    `isUseInLiveMode()`
  ** Generated **

### isRequiresConstraintAdapter

    boolean isRequiresConstraintAdapter()

  Returns the value of the 'Requires Constraint Adapter' attribute.

  If the meaning of the 'Requires Constraint Adapter' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Requires Constraint Adapter' attribute.
  See Also:
    `GMFGenPackage.getGenAuditRule_RequiresConstraintAdapter()`
  ** Generated **
  Model:
    transient="true" changeable="false" volatile="true" derived="true"

### getCategory

    GenAuditContainer getCategory()

  Returns the value of the 'Category' reference. It is bidirectional and its opposite is '`Audits`'.

  If the meaning of the 'Category' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Category' reference.
  See Also:
    `setCategory(GenAuditContainer)`, `GMFGenPackage.getGenAuditRule_Category()`, `GenAuditContainer.getAudits()`
  ** Generated **
  Model:
    opposite="audits" required="true"

### setCategory

    void setCategory(GenAuditContainer value)

  Sets the value of the '`Category`' reference.

  Parameters:
    `value` - the new value of the 'Category' reference.
  See Also:
    `getCategory()`
  ** Generated **

### getConstraintAdapterQualifiedClassName

    java.lang.String getConstraintAdapterQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getConstraintAdapterLocalClassName

    java.lang.String getConstraintAdapterLocalClassName()

### getConstraintAdapterClassName

    java.lang.String getConstraintAdapterClassName()

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.